<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Implementing P2P C2 Networks — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `configure --mode <val> --transport <val>` | Configure P2P C2 network |
| `link --parent <val> --child <val> --pipe <val>` | Link P2P nodes |
| `test --chain <val>` | Test relay chain connectivity |
| `verify --mode <val>` | Verify P2P mesh status |
| `report --format <val>` | Generate P2P C2 report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--mode` | string | Yes | Mode parameter |
| `--transport` | string | Yes | Transport parameter |
| `--parent` | string | Yes | Parent parameter |
| `--child` | string | Yes | Child parameter |
| `--pipe` | string | Yes | Pipe parameter |
| `--chain` | string | Yes | Chain parameter |
| `--format` | string | Yes | Format parameter |
